Bug 987695 - [abrt] audacious-3.4-1.fc19: _gtk_marshal_BOOLEAN__BOXEDv: Process /usr/bin/audacious was killed by signal 11 (SIGSEGV)
[abrt] audacious-3.4-1.fc19: _gtk_marshal_BOOLEAN__BOXEDv: Process /usr/bin/a...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: audacious (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Schwendt
Fedora Extras Quality Assurance
abrt_hash:9a61ff273b0d94ae55b41d61386...
:
Depends On:
Blocks: 987903
  Show dependency treegraph
 
Reported: 2013-07-23 18:22 EDT by Donald Edward Winslow
Modified: 2015-02-17 11:19 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:19:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (733.65 KB, text/plain)
2013-07-23 18:22 EDT, Donald Edward Winslow
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-23 18:22 EDT, Donald Edward Winslow
no flags Details
File: core_backtrace (138.41 KB, text/plain)
2013-07-23 18:22 EDT, Donald Edward Winslow
no flags Details
File: dso_list (19.52 KB, text/plain)
2013-07-23 18:22 EDT, Donald Edward Winslow
no flags Details
File: environ (1.62 KB, text/plain)
2013-07-23 18:22 EDT, Donald Edward Winslow
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-23 18:22 EDT, Donald Edward Winslow
no flags Details
File: maps (95.39 KB, text/plain)
2013-07-23 18:22 EDT, Donald Edward Winslow
no flags Details
File: open_fds (1.08 KB, text/plain)
2013-07-23 18:23 EDT, Donald Edward Winslow
no flags Details
File: proc_pid_status (935 bytes, text/plain)
2013-07-23 18:23 EDT, Donald Edward Winslow
no flags Details
File: var_log_messages (332 bytes, text/plain)
2013-07-23 18:23 EDT, Donald Edward Winslow
no flags Details
File: xsession_errors (308 bytes, text/plain)
2013-07-23 18:23 EDT, Donald Edward Winslow
no flags Details

  None (edit)
Description Donald Edward Winslow 2013-07-23 18:22:07 EDT
Description of problem:
Inserted audio CD, tried to play audio file with Audacious.

Unable to repeat the crash, but also unable to play the track.

Version-Release number of selected component:
audacious-3.4-1.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/bin/audacious '/var/tmp/kdecache-donald/krun/2061_0_Pamela Conn Beall & Susan Hagen Nipp - 01 - Dinosaurs.ogg'
crash_function: _gtk_marshal_BOOLEAN__BOXEDv
executable:     /usr/bin/audacious
kernel:         3.9.9-302.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _gtk_marshal_BOOLEAN__BOXEDv at gtkmarshalers.c:130
 #1 _g_closure_invoke_va at gclosure.c:840
 #4 gtk_widget_event_internal at gtkwidget.c:6714
 #5 synth_crossing at gtkwidget.c:11168
 #6 _gtk_widget_synthesize_crossing at gtkwidget.c:11274
 #7 synth_crossing_for_grab_notify at gtkmain.c:1908
 #8 gtk_grab_notify_foreach at gtkmain.c:1968
 #9 gtk_menu_shell_forall at gtkmenushell.c:1206
 #10 gtk_grab_notify_foreach at gtkmain.c:1943
 #11 gtk_box_forall at gtkbox.c:1865

Potential duplicate: bug 888109
Comment 1 Donald Edward Winslow 2013-07-23 18:22:28 EDT
Created attachment 777494 [details]
File: backtrace
Comment 2 Donald Edward Winslow 2013-07-23 18:22:33 EDT
Created attachment 777495 [details]
File: cgroup
Comment 3 Donald Edward Winslow 2013-07-23 18:22:43 EDT
Created attachment 777496 [details]
File: core_backtrace
Comment 4 Donald Edward Winslow 2013-07-23 18:22:47 EDT
Created attachment 777497 [details]
File: dso_list
Comment 5 Donald Edward Winslow 2013-07-23 18:22:49 EDT
Created attachment 777498 [details]
File: environ
Comment 6 Donald Edward Winslow 2013-07-23 18:22:52 EDT
Created attachment 777499 [details]
File: limits
Comment 7 Donald Edward Winslow 2013-07-23 18:22:57 EDT
Created attachment 777500 [details]
File: maps
Comment 8 Donald Edward Winslow 2013-07-23 18:23:00 EDT
Created attachment 777501 [details]
File: open_fds
Comment 9 Donald Edward Winslow 2013-07-23 18:23:03 EDT
Created attachment 777502 [details]
File: proc_pid_status
Comment 10 Donald Edward Winslow 2013-07-23 18:23:06 EDT
Created attachment 777503 [details]
File: var_log_messages
Comment 11 Donald Edward Winslow 2013-07-23 18:23:09 EDT
Created attachment 777504 [details]
File: xsession_errors
Comment 12 Michael Schwendt 2013-07-24 07:49:39 EDT
That's a tough one. Thread 1 from step 2047 down to 0 is entirely within GTK+ space.

Rhythmbox and Totem are affected, too, based on this simple bugzilla search:
https://bugzilla.redhat.com/buglist.cgi?quicksearch=gtk_marshal_BOOLEAN__BOXEDv&list_id=1557954


> DESKTOP_SESSION=mate

The potential duplicate bug 888109 has been with DESKTOP_SESSION=gnome, but without any hints on what has been done prior to the crash.


> Unable to repeat the crash

It could be that's it unrelated to playing Audio CDs. Do you use Audacious' Winamp Interface or the GTK Interface?


> but also unable to play the track.

That's very vague. In GNOME Shell, one simply inserts the Audio CD, then gets an "Audio Disc" device entry in the file manager (Nautilus) and can launch Audacious for the .wav files that are presented for the tracks on the CD.
Comment 13 Donald Edward Winslow 2013-07-24 23:38:40 EDT
I don't know if it's Winamp or GTK; GTK I assume.

When I launch one of the .wav files with audacious, it works. There are .ogg files in a subdirectory, so I was trying to play one of those when the crash happened.
Comment 14 Fedora End Of Life 2015-01-09 14:04:18 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2015-02-17 11:19:39 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.